<?php
/*
Plugin Name: Contact 1 menu
Version: 11.0.a
Description: Add contact as menu level 1
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=479
Author: ddtddt
Author URI: http://temmii.com/piwigo/
*/

// +-----------------------------------------------------------------------+
// | Contact 1 menu plugin for piwigo  by TEMMII                           |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2010 - 2021 ddtddt             http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('C1M_DIR' , basename(dirname(__FILE__)));
define('C1M_PATH' , PHPWG_PLUGINS_PATH . C1M_DIR . '/');

$desacc = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ContactForm';"));

if($desacc['state'] != 'active') 
{
  if (script_basename() == 'admin')   
  {
    include_once(dirname(__FILE__).'/initadmin.php');
  }
}
else
{
  add_event_handler('blockmanager_register_blocks', 'register_c1m_menubar_blocks');
  add_event_handler('blockmanager_apply', 'c1m_apply');

  function register_c1m_menubar_blocks( $menu_ref_arr )
  {
    $menu = & $menu_ref_arr[0];
    if ($menu->get_id() != 'menubar')
      return;
    $menu->register_block( new RegisteredBlock( 'mbContact', 'Contact', 'C1M'));
  }

  function c1m_apply($menu_ref_arr)
  {
    global $template, $user;
    $menu = & $menu_ref_arr[0];
   
    load_language('plugin.lang', CONTACT_FORM_PATH);
    load_language('lang', PHPWG_ROOT_PATH.PWG_LOCAL_DIR, array('no_fallback'=>true, 'local'=>true) );
    $template->assign(array(
      'C1MTITLE'     => l10n('Contact'),
      'C1MNAME'      => l10n('Contact'),
      'C1MURL'       => CONTACT_FORM_PUBLIC,
      ));

     
    if (($block = $menu->get_block( 'mbContact' )) != null)
    {
      $template->set_template_dir(C1M_PATH.'template/');
        if ($user['theme'] == 'bootstrapdefault'){
		  $block->template = 'menubar_contact_Bootstrap_Default.tpl';		
		}else if ($user['theme'] == 'smartpocket'){
		  $block->template = 'menubar_contact_smartpocket.tpl';		
		}else{
		  $block->template = 'menubar_contact.tpl';
		}
    }
  }
}

?>